package cn.newfeifan.mall.module.distri.mq.message.order;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class CalcMessage {
    List<DistriOrderMessage> distriOrderMessages;
    /**
     * 用来存储发货后七天的订单计算信息(用来计算直推奖,自得奖)
     */
    List<OrderCalcMessage> orderCalcMessages;

    /**
     * 用来存储每天的订单(用来计算合赢奖的)
     */
    List<OrderCalcMessage> bonusQuotaOrderDO;


}
